Subject: Re: bug#10960: linum-mode does not work properly when changing font size

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Mar 2012 05:57:55 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 10 Mar 2012 20:36:29 -0500
> 
> >> You mean, that text-scale-* makes the problem more common significant?
> >> Maybe so, yes.  But I don't think that just special-handling
> >> text-scale-* would be a good solution.
> > Special-casing it was not what I had in mind.
> 
> Actually, what you propose does just that.

Please explain where do you see any special-casing.  I'm beginning to
think I cannot understand written English or write clearly in it.

> > It all boils down to calculating the size of the margins in pixels.
> > The key to that is window_box_width, which uses
> > WINDOW_FRAME_COLUMN_WIDTH to convert columns into pixels, and
> > WINDOW_FRAME_COLUMN_WIDTH returns the "canonical" width of a column,
> > which is an average width of the default face's font.
> > So all it takes is to make that calculation aware of face remapping,
> > images displayed in the margin, etc.
> 
> OK, so rather than special casing text-scale-* you suggest to special
> case frame-remapping

Where and how did you manage to read something like that into what I
said?